gtkmm: Gtk::RecentChooser Class Reference

gtkmm 2.24.5

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::RecentChooser Class Reference
RecentFiles

RecentChooser is an interface that can be implemented by widgets displaying the list of recently used files. More...

Inheritance diagram for Gtk::RecentChooser:
[legend]
Collaboration diagram for Gtk::RecentChooser:
[legend]

## Public Types
typedef sigc::slot< int, const Glib::RefPtr< RecentInfo >&, const Glib::RefPtr< RecentInfo >& > | SlotCompare
| This callback should return -1 if b compares before a, 0 if they compare equal and 1 if a compares after b. More...
typedef Glib::ListHandle< RecentInfo, RecentInfoTraits > | ListHandle_RecentInfos
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Public Member Functions
| RecentChooser (RecentChooser&& src) noexcept
RecentChooser& | operator= (RecentChooser&& src) noexcept
| ~RecentChooser () noexcept override
GtkRecentChooser* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkRecentChooser* | gobj () const
| Provides access to the underlying C GObject. More...
void | set_show_private (bool show_private=true)
| Whether to show recently used resources marked registered as private. More...
bool | get_show_private () const
| Returns whether chooser should display recently used resources registered as private. More...
void | set_show_not_found (bool show_not_found=true)
| Sets whether chooser should display the recently used resources that it didn't find. More...
bool | get_show_not_found () const
| Retrieves whether chooser should show the recently used resources that were not found. More...
void | set_select_multiple (bool select_multiple=true)
| Sets whether chooser can select multiple items. More...
bool | get_select_multiple () const
| Gets whether chooser can select multiple items. More...
void | set_limit (int limit)
| Sets the number of items that should be returned by get_items() and get_uris(). More...
void | unset_limit ()
int | get_limit () const
| Gets the number of items returned by get_items() and get_uris(). More...
void | set_local_only (bool local_only=true)
| Sets whether only local resources, that is resources using the file:// URI scheme, should be shown in the recently used resources selector. More...
bool | get_local_only () const
| Gets whether only local resources should be shown in the recently used resources selector. More...
void | set_show_tips (bool show_tips=true)
| Sets whether to show a tooltips containing the full path of each recently used resource in a Gtk::RecentChooser widget. More...
bool | get_show_tips () const
| Gets whether chooser should display tooltips containing the full path of a recently user resource. More...
void | set_show_icons (bool show_icons=true)
| Sets whether chooser should show an icon near the resource when displaying it. More...
bool | get_show_icons () const
| Retrieves whether chooser should show an icon near the resource. More...
void | set_sort_type (RecentSortType sort_type)
| Changes the sorting order of the recently used resources list displayed by chooser. More...
RecentSortType | get_sort_type () const
| Gets the value set by set_sort_type(). More...
void | set_sort_func (const SlotCompare& slot)
| Sets the comparison function used when sorting the list of recently used resources and the sort type is RECENT_SORT_CUSTOM. More...
bool | set_current_uri (const Glib::ustring& uri)
| Sets uri as the current URI for chooser. More...
Glib::ustring | get_current_uri () const
| Gets the URI currently selected by chooser. More...
Glib::RefPtr< RecentInfo > | get_current_item ()
| Gets the Gtk::RecentInfo currently selected by chooser. More...
Glib::RefPtr< const RecentInfo > | get_current_item () const
| Gets the Gtk::RecentInfo currently selected by chooser. More...
bool | select_uri (const Glib::ustring& uri)
| Selects uri inside chooser. More...
void | unselect_uri (const Glib::ustring& uri)
| Unselects uri inside chooser. More...
void | select_all ()
| Selects all the items inside chooser, if the chooser supports multiple selection. More...
void | unselect_all ()
| Unselects all the items inside chooser. More...
ListHandle_RecentInfos | get_items () const
| Gets the list of recently used resources in form of Gtk::RecentInfo objects. More...
Glib::StringArrayHandle | get_uris () const
| Gets the URI of the recently used resources. More...
void | add_filter (const RecentFilter& filter)
| Adds filter to the list of Gtk::RecentFilter objects held by chooser. More...
void | remove_filter (const RecentFilter& filter)
| Removes filter from the list of Gtk::RecentFilter objects held by chooser. More...
Glib::SListHandle< RecentFilter* > | list_filters ()
| Gets the Gtk::RecentFilter objects held by chooser. More...
Glib::SListHandle< const RecentFilter* > | list_filters () const
| Gets the Gtk::RecentFilter objects held by chooser. More...
void | set_filter (const RecentFilter& filter)
| Sets filter as the current Gtk::RecentFilter object used by chooser to affect the displayed recently used resources. More...
RecentFilter* | get_filter ()
| Gets the Gtk::RecentFilter object currently used by chooser to affect the display of the recently used resources. More...
const RecentFilter* | get_filter () const
| Gets the Gtk::RecentFilter object currently used by chooser to affect the display of the recently used resources. More...
Glib::SignalProxy< void > | signal_selection_changed ()
| This signal is emitted when there is a change in the set of selected recently used resources. More...
Glib::SignalProxy< void > | signal_item_activated ()
| This signal is emitted when the user "activates" a recent item in the recent chooser. More...
Glib::PropertyProxy< bool > | property_show_private ()
| Whether the private items should be displayed. More...
Glib::PropertyProxy_ReadOnly< bool > | property_show_private () const
| Whether the private items should be displayed. More...
Glib::PropertyProxy< bool > | property_show_tips ()
| Whether there should be a tooltip on the item. More...
Glib::PropertyProxy_ReadOnly< bool > | property_show_tips () const
| Whether there should be a tooltip on the item. More...
Glib::PropertyProxy< bool > | property_show_icons ()
| Whether there should be an icon near the item. More...
Glib::PropertyProxy_ReadOnly< bool > | property_show_icons () const
| Whether there should be an icon near the item. More...
Glib::PropertyProxy< bool > | property_show_not_found ()
| Whether the items pointing to unavailable resources should be displayed. More...
Glib::PropertyProxy_ReadOnly< bool > | property_show_not_found () const
| Whether the items pointing to unavailable resources should be displayed. More...
Glib::PropertyProxy< bool > | property_select_multiple ()
| Whether to allow multiple items to be selected. More...
Glib::PropertyProxy_ReadOnly< bool > | property_select_multiple () const
| Whether to allow multiple items to be selected. More...
Glib::PropertyProxy< bool > | property_local_only ()
| Whether the selected resource(s) should be limited to local file: URIs. More...
Glib::PropertyProxy_ReadOnly< bool > | property_local_only () const
| Whether the selected resource(s) should be limited to local file: URIs. More...
Glib::PropertyProxy< int > | property_limit ()
| The maximum number of items to be displayed. More...
Glib::PropertyProxy_ReadOnly< int > | property_limit () const
| The maximum number of items to be displayed. More...
Glib::PropertyProxy< RecentSortType > | property_sort_type ()
| The sorting order of the items displayed. More...
Glib::PropertyProxy_ReadOnly< RecentSortType > | property_sort_type () const
| The sorting order of the items displayed. More...
Glib::PropertyProxy< RecentFilter*> | property_filter ()
| The current filter for selecting which resources are displayed. More...
Glib::PropertyProxy_ReadOnly< RecentFilter*> | property_filter () const
| The current filter for selecting which resources are displayed. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
| ~Interface () noexcept override
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| RecentChooser ()
| You should derive from this class to use it. More...
virtual Glib::ustring | get_current_uri_vfunc () const
virtual void | unselect_uri_vfunc (const Glib::ustring& uri)
virtual void | select_all_vfunc ()
virtual void | unselect_all_vfunc ()
virtual Glib::RefPtr< RecentManager > | get_recent_manager_vfunc ()
virtual void | add_filter_vfunc (const RecentFilter& filter)
virtual void | remove_filter_vfunc (const RecentFilter& filter)
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::RecentChooser > | wrap (GtkRecentChooser* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

RecentChooser is an interface that can be implemented by widgets displaying the list of recently used files.

In GTK+, the main objects that implement this interface are RecentChooserWidget, RecentChooserDialog and RecentChooserMenu.

Since gtkmm 2.10:

## Member Typedef Documentation

## ◆ ListHandle_RecentInfos

typedef Glib::ListHandle<RecentInfo, RecentInfoTraits> Gtk::RecentChooser::ListHandle_RecentInfos

## ◆ SlotCompare

typedef sigc::slot<int, const Glib::RefPtr<RecentInfo>&, const Glib::RefPtr<RecentInfo>&> Gtk::RecentChooser::SlotCompare

This callback should return -1 if b compares before a, 0 if they compare equal and 1 if a compares after b.

For instance, int on_sort_compare(const Glib::RefPtr<Gtk::RecentInfo>& a, const Gtk::RecentInfo& b);

## Constructor & Destructor Documentation

## ◆ RecentChooser() [1/2]

Gtk::RecentChooser::RecentChooser | ( |  | ) |
| protected

You should derive from this class to use it.

## ◆ RecentChooser() [2/2]

Gtk::RecentChooser::RecentChooser | ( | RecentChooser&& | src | ) |
| noexcept

## ◆ ~RecentChooser()

Gtk::RecentChooser::~RecentChooser | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ add_filter()

void Gtk::RecentChooser::add_filter | ( | const RecentFilter& | filter | ) |

Adds filter to the list of Gtk::RecentFilter objects held by chooser.

If no previous filter objects were defined, this function will call set_filter().

Since gtkmm 2.10:

Parameters

  filter | A Gtk::RecentFilter.

## ◆ add_filter_vfunc()

virtual void Gtk::RecentChooser::add_filter_vfunc | ( | const RecentFilter& | filter | ) |
| protectedvirtual

## ◆ add_interface()

static void Gtk::RecentChooser::add_interface | ( | GType | gtype_implementer | ) |
| static

## ◆ get_current_item() [1/2]

Glib::RefPtr<RecentInfo> Gtk::RecentChooser::get_current_item | ( |  | ) |

Gets the Gtk::RecentInfo currently selected by chooser.

Since gtkmm 2.10:

Returns
  A Gtk::RecentInfo. Use Gtk::RecentInfo::unref() when when you have finished using it.

## ◆ get_current_item() [2/2]

Glib::RefPtr<const RecentInfo> Gtk::RecentChooser::get_current_item | ( |  | ) | const

Gets the Gtk::RecentInfo currently selected by chooser.

Since gtkmm 2.10:

Returns
  A Gtk::RecentInfo. Use Gtk::RecentInfo::unref() when when you have finished using it.

## ◆ get_current_uri()

Glib::ustring Gtk::RecentChooser::get_current_uri | ( |  | ) | const

Gets the URI currently selected by chooser.

Since gtkmm 2.10:

Returns
  A newly allocated string holding a URI.

## ◆ get_current_uri_vfunc()

virtual Glib::ustring Gtk::RecentChooser::get_current_uri_vfunc | ( |  | ) | const
| protectedvirtual

## ◆ get_filter() [1/2]

RecentFilter* Gtk::RecentChooser::get_filter | ( |  | ) |

Gets the Gtk::RecentFilter object currently used by chooser to affect the display of the recently used resources.

Since gtkmm 2.10:

Returns
  A Gtk::RecentFilter object.

## ◆ get_filter() [2/2]

const RecentFilter* Gtk::RecentChooser::get_filter | ( |  | ) | const

Gets the Gtk::RecentFilter object currently used by chooser to affect the display of the recently used resources.

Since gtkmm 2.10:

Returns
  A Gtk::RecentFilter object.

## ◆ get_items()

ListHandle_RecentInfos Gtk::RecentChooser::get_items | ( |  | ) | const

Gets the list of recently used resources in form of Gtk::RecentInfo objects.

The return value of this function is affected by the "sort-type" and "limit" properties of chooser.

Since gtkmm 2.10:

Returns
  A newly allocated list of Gtk::RecentInfo objects.

## ◆ get_limit()

int Gtk::RecentChooser::get_limit | ( |  | ) | const

Gets the number of items returned by get_items() and get_uris().

Since gtkmm 2.10:

Returns
  A positive integer, or -1 meaning that all items are returned.

## ◆ get_local_only()

bool Gtk::RecentChooser::get_local_only | ( |  | ) | const

Gets whether only local resources should be shown in the recently used resources selector.

See set_local_only()

Since gtkmm 2.10:

Returns
  `true` if only local resources should be shown.

## ◆ get_recent_manager_vfunc()

virtual Glib::RefPtr<RecentManager> Gtk::RecentChooser::get_recent_manager_vfunc | ( |  | ) |
| protectedvirtual

## ◆ get_select_multiple()

bool Gtk::RecentChooser::get_select_multiple | ( |  | ) | const

Gets whether chooser can select multiple items.

Since gtkmm 2.10:

Returns
  `true` if chooser can select more than one item.

## ◆ get_show_icons()

bool Gtk::RecentChooser::get_show_icons | ( |  | ) | const

Retrieves whether chooser should show an icon near the resource.

Since gtkmm 2.10:

Returns
  `true` if the icons should be displayed, `false` otherwise.

## ◆ get_show_not_found()

bool Gtk::RecentChooser::get_show_not_found | ( |  | ) | const

Retrieves whether chooser should show the recently used resources that were not found.

Since gtkmm 2.10:

Returns
  `true` if the resources not found should be displayed, and `false` otheriwse.

## ◆ get_show_private()

bool Gtk::RecentChooser::get_show_private | ( |  | ) | const

Returns whether chooser should display recently used resources registered as private.

Since gtkmm 2.10:

Returns
  `true` if the recent chooser should show private items, `false` otherwise.

## ◆ get_show_tips()

bool Gtk::RecentChooser::get_show_tips | ( |  | ) | const

Gets whether chooser should display tooltips containing the full path of a recently user resource.

Since gtkmm 2.10:

Returns
  `true` if the recent chooser should show tooltips, `false` otherwise.

## ◆ get_sort_type()

RecentSortType Gtk::RecentChooser::get_sort_type | ( |  | ) | const

Gets the value set by set_sort_type().

Since gtkmm 2.10:

Returns
  The sorting order of the chooser.

## ◆ get_type()

static GType Gtk::RecentChooser::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ get_uris()

Glib::StringArrayHandle Gtk::RecentChooser::get_uris | ( |  | ) | const

Gets the URI of the recently used resources.

The return value of this function is affected by the "sort-type" and "limit" properties of the recent chooser.

## ◆ gobj() [1/2]

GtkRecentChooser* Gtk::RecentChooser::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkRecentChooser* Gtk::RecentChooser::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ list_filters() [1/2]

Glib::SListHandle<RecentFilter*> Gtk::RecentChooser::list_filters | ( |  | ) |

Gets the Gtk::RecentFilter objects held by chooser.

Since gtkmm 2.10:

Returns
  A singly linked list of Gtk::RecentFilter objects.

## ◆ list_filters() [2/2]

Glib::SListHandle<const RecentFilter*> Gtk::RecentChooser::list_filters | ( |  | ) | const

Gets the Gtk::RecentFilter objects held by chooser.

Since gtkmm 2.10:

Returns
  A singly linked list of Gtk::RecentFilter objects.

## ◆ operator=()

RecentChooser& Gtk::RecentChooser::operator= | ( | RecentChooser&& | src | ) |
| noexcept

## ◆ property_filter() [1/2]

Glib::PropertyProxy< RecentFilter* > Gtk::RecentChooser::property_filter | ( |  | ) |

The current filter for selecting which resources are displayed.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_filter() [2/2]

Glib::PropertyProxy_ReadOnly< RecentFilter* > Gtk::RecentChooser::property_filter | ( |  | ) | const

The current filter for selecting which resources are displayed.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_limit() [1/2]

Glib::PropertyProxy< int > Gtk::RecentChooser::property_limit | ( |  | ) |

The maximum number of items to be displayed.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_limit() [2/2]

Glib::PropertyProxy_ReadOnly< int > Gtk::RecentChooser::property_limit | ( |  | ) | const

The maximum number of items to be displayed.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_local_only() [1/2]

Glib::PropertyProxy< bool > Gtk::RecentChooser::property_local_only | ( |  | ) |

Whether the selected resource(s) should be limited to local file: URIs.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_local_only() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::RecentChooser::property_local_only | ( |  | ) | const

Whether the selected resource(s) should be limited to local file: URIs.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_select_multiple() [1/2]

Glib::PropertyProxy< bool > Gtk::RecentChooser::property_select_multiple | ( |  | ) |

Whether to allow multiple items to be selected.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_select_multiple() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::RecentChooser::property_select_multiple | ( |  | ) | const

Whether to allow multiple items to be selected.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_icons() [1/2]

Glib::PropertyProxy< bool > Gtk::RecentChooser::property_show_icons | ( |  | ) |

Whether there should be an icon near the item.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_icons() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::RecentChooser::property_show_icons | ( |  | ) | const

Whether there should be an icon near the item.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_not_found() [1/2]

Glib::PropertyProxy< bool > Gtk::RecentChooser::property_show_not_found | ( |  | ) |

Whether the items pointing to unavailable resources should be displayed.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_not_found() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::RecentChooser::property_show_not_found | ( |  | ) | const

Whether the items pointing to unavailable resources should be displayed.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_private() [1/2]

Glib::PropertyProxy< bool > Gtk::RecentChooser::property_show_private | ( |  | ) |

Whether the private items should be displayed.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_private() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::RecentChooser::property_show_private | ( |  | ) | const

Whether the private items should be displayed.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_tips() [1/2]

Glib::PropertyProxy< bool > Gtk::RecentChooser::property_show_tips | ( |  | ) |

Whether there should be a tooltip on the item.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_show_tips() [2/2]

Glib::PropertyProxy_ReadOnly< bool > Gtk::RecentChooser::property_show_tips | ( |  | ) | const

Whether there should be a tooltip on the item.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_sort_type() [1/2]

Glib::PropertyProxy< RecentSortType > Gtk::RecentChooser::property_sort_type | ( |  | ) |

The sorting order of the items displayed.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_sort_type() [2/2]

Glib::PropertyProxy_ReadOnly< RecentSortType > Gtk::RecentChooser::property_sort_type | ( |  | ) | const

The sorting order of the items displayed.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ remove_filter()

void Gtk::RecentChooser::remove_filter | ( | const RecentFilter& | filter | ) |

Removes filter from the list of Gtk::RecentFilter objects held by chooser.

Since gtkmm 2.10:

Parameters

  filter | A Gtk::RecentFilter.

## ◆ remove_filter_vfunc()

virtual void Gtk::RecentChooser::remove_filter_vfunc | ( | const RecentFilter& | filter | ) |
| protectedvirtual

## ◆ select_all()

void Gtk::RecentChooser::select_all | ( |  | ) |

Selects all the items inside chooser, if the chooser supports multiple selection.

Since gtkmm 2.10:

## ◆ select_all_vfunc()

virtual void Gtk::RecentChooser::select_all_vfunc | ( |  | ) |
| protectedvirtual

## ◆ select_uri()

bool Gtk::RecentChooser::select_uri | ( | const Glib::ustring & | uri | ) |

Selects uri inside chooser.

Since gtkmm 2.10:

Parameters

  uri | A URI.

Returns
  `true` if uri was found.

## ◆ set_current_uri()

bool Gtk::RecentChooser::set_current_uri | ( | const Glib::ustring & | uri | ) |

Sets uri as the current URI for chooser.

Since gtkmm 2.10:

Parameters

  uri | A URI.

Returns
  `true` if the URI was found.

## ◆ set_filter()

void Gtk::RecentChooser::set_filter | ( | const RecentFilter& | filter | ) |

Sets filter as the current Gtk::RecentFilter object used by chooser to affect the displayed recently used resources.

Since gtkmm 2.10:

Parameters

  filter | A Gtk::RecentFilter.

## ◆ set_limit()

void Gtk::RecentChooser::set_limit | ( | int | limit | ) |

Sets the number of items that should be returned by get_items() and get_uris().

Since gtkmm 2.10:

Parameters

  limit | A positive integer, or -1 for all items.

## ◆ set_local_only()

void Gtk::RecentChooser::set_local_only | ( | bool | local_only = `true` | ) |

Sets whether only local resources, that is resources using the file:// URI scheme, should be shown in the recently used resources selector.

If local_only is `true` (the default) then the shown resources are guaranteed to be accessible through the operating system native file system.

Since gtkmm 2.10:

Parameters

  local_only | `true` if only local files can be shown.

## ◆ set_select_multiple()

void Gtk::RecentChooser::set_select_multiple | ( | bool | select_multiple = `true` | ) |

Sets whether chooser can select multiple items.

Since gtkmm 2.10:

Parameters

  select_multiple | `true` if chooser can select more than one item.

## ◆ set_show_icons()

void Gtk::RecentChooser::set_show_icons | ( | bool | show_icons = `true` | ) |

Sets whether chooser should show an icon near the resource when displaying it.

Since gtkmm 2.10:

Parameters

  show_icons | Whether to show an icon near the resource.

## ◆ set_show_not_found()

void Gtk::RecentChooser::set_show_not_found | ( | bool | show_not_found = `true` | ) |

Sets whether chooser should display the recently used resources that it didn't find.

This only applies to local resources.

Since gtkmm 2.10:

Parameters

  show_not_found | Whether to show the local items we didn't find.

## ◆ set_show_private()

void Gtk::RecentChooser::set_show_private | ( | bool | show_private = `true` | ) |

Whether to show recently used resources marked registered as private.

Since gtkmm 2.10:

Parameters

  show_private | `true` to show private items, `false` otherwise.

## ◆ set_show_tips()

void Gtk::RecentChooser::set_show_tips | ( | bool | show_tips = `true` | ) |

Sets whether to show a tooltips containing the full path of each recently used resource in a Gtk::RecentChooser widget.

Since gtkmm 2.10:

Parameters

  show_tips | `true` if tooltips should be shown.

## ◆ set_sort_func()

void Gtk::RecentChooser::set_sort_func | ( | const SlotCompare& | slot | ) |

Sets the comparison function used when sorting the list of recently used resources and the sort type is RECENT_SORT_CUSTOM.

## ◆ set_sort_type()

void Gtk::RecentChooser::set_sort_type | ( | RecentSortType | sort_type | ) |

Changes the sorting order of the recently used resources list displayed by chooser.

Since gtkmm 2.10:

Parameters

  sort_type | Sort order that the chooser should use.

## ◆ signal_item_activated()

Glib::SignalProxy< void > Gtk::RecentChooser::signal_item_activated | ( |  | ) |

This signal is emitted when the user "activates" a recent item in the recent chooser.

This can happen by double-clicking on an item in the recently used resources list, or by pressing <keycap>Enter</keycap>.

Slot Prototype:
  `void on_my_item_activated()`

Flags: Run Last

## ◆ signal_selection_changed()

Glib::SignalProxy< void > Gtk::RecentChooser::signal_selection_changed | ( |  | ) |

This signal is emitted when there is a change in the set of selected recently used resources.

This can happen when a user modifies the selection with the mouse or the keyboard, or when explicitely calling functions to change the selection.

Slot Prototype:
  `void on_my_selection_changed()`

Flags: Run Last

## ◆ unselect_all()

void Gtk::RecentChooser::unselect_all | ( |  | ) |

Unselects all the items inside chooser.

Since gtkmm 2.10:

## ◆ unselect_all_vfunc()

virtual void Gtk::RecentChooser::unselect_all_vfunc | ( |  | ) |
| protectedvirtual

## ◆ unselect_uri()

void Gtk::RecentChooser::unselect_uri | ( | const Glib::ustring & | uri | ) |

Unselects uri inside chooser.

Since gtkmm 2.10:

Parameters

  uri | A URI.

## ◆ unselect_uri_vfunc()

virtual void Gtk::RecentChooser::unselect_uri_vfunc | ( | const Glib::ustring & | uri | ) |
| protectedvirtual

## ◆ unset_limit()

void Gtk::RecentChooser::unset_limit | ( |  | ) |

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::RecentChooser > wrap | ( | GtkRecentChooser * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/recentchooser.h